主题
通过任务 ID 获取 Bing 搜索量结果
本接口使用 GET /v3/keywords_data/bing/search_volume/task_get/$id 获取指定任务的 Bing 搜索量结果。返回数据最近一个月的搜索量、过去 12 个月的搜索量趋势、平均每次点击费用(CPC)及付费搜索竞争度等信息。
请求信息
请求方法: GET
请求路径:
text
/v3/keywords_data/bing/search_volume/task_get/$id完整 URL:
text
https://api.seermartech.cn/v3/keywords_data/bing/search_volume/task_get/$id路径参数
| 参数 | 类型 | 填 | 说明 |
|---|---|---|---|
id | string | 是 | 任务唯一标识符,UUID 格式。任务提交成功后,可在 30 天随时使用该 ID 获取结果。 |
计费说明
- 在提交任务时计费。
- 任务提交后的 30 天,可调用本接口获取任务结果。
- 实扣费以响应头
X-SeerMarTech-Charge-CNY为准。 - 任务结果中的
cost字段表示任务费用,单位为人民币。
返回结构
接口返回 JSON 数据,顶层 tasks 数组。
顶层字段
| 字段 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本。 |
status_code | integer | 请求整体状态码。 |
status_message | string | 请求整体状态说明。 |
time | string | 请求执行耗时,单位为秒。 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
tasks_count | integer | tasks 数组中的任务数量。 |
tasks_error | integer | tasks 数组中返回错误的任务数量。 |
tasks | array | 任务结果数组。 |
tasks 字段
| 字段 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识符,UUID 格式。 |
status_code | integer | 当前任务的状态码,通常在 10000 至 60000 范围。 |
status_message | string | 当前任务的状态说明。 |
time | string | 当前任务的执行耗时,单位为秒。 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
result_count | integer | result 数组中的结果数量。 |
path | array | 请求路径信息。 |
data | object | 提交任务时使用的参数。 |
result | array | 搜索量结果数组。 |
tasks.data 字段
data 对象通常提交任务时使用的上下文参数,例如:
| 字段 | 类型 | 说明 |
|---|---|---|
api | string | API 模块名称,例如 keywords_data。 |
function | string | API 功能名称,例如 search_volume。 |
se | string | 搜索引擎名称,此接口为 bing。 |
location_name | string | 地理位置名称。 |
language_name | string | 语言名称。 |
keywords | array | 提交查询的列表。 |
tasks.result 字段
| 字段 | 类型 | 说明 |
|---|---|---|
keyword | string | 。 |
location_code | integer | 地理位置代码。 |
language_code | string | 语言代码。 |
search_partners | boolean | 是否合作伙伴网络中的搜索数据。 |
device | string | 设备类型,例如 all。如果没有数据,则为 null。 |
competition | float | 付费搜索竞争度反映付费搜索结果中的竞争。可能值为 0.1、0.5 或 0.9,分别表示低、中、高竞争度;没有数据时为 null。 |
cpc | float | 历史平均每次点击费用,原始数据以统计,返回值无数据时为 null。 |
search_volume | integer | 月均搜索量,表示目标条件下该在 Bing 上的预估搜索次数,结果通常取整到最接近的十位;没有数据时为 null。 |
categories | array | 产品及服务分类。本接口不返回分类数据,该字段始终为 null。 |
monthly_searches | array | 过去 12 个月的月度搜索量数据;没有数据时为 null。 |
monthly_searches 字段
| 字段 | 类型 | 说明 |
|---|---|---|
year | integer | 年份。 |
month | integer | 月份,取值范围为 1 至 12。 |
search_volume | integer | 当月预估搜索量,通常取整到最接近的十位。 |
请求示例
curl
bash
TASK_ID="10081455-0001-0110-0000-c75b21dcca1c"
curl --location --request GET \
"https://api.seermartech.cn/v3/keywords_data/bing/search_volume/task_get/${TASK_ID}" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json"TypeScript
typescript
import axios from "axios";
const taskId = "02231934-2604-0066-2000-570459f04879";
axios
.get(
`https://api.seermartech.cn/v3/keywords_data/bing/search_volume/task_get/${taskId}`,
{
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
}
)
.then((response) => {
// 处理接口返回结果
console.log(response.data);
})
.catch((error) => {
// 处理网络错误或接口错误
console.error(error.response?.data || error.message);
});Python
python
import requests
task_id = "10081455-0001-0110-0000-c75b21dcca1c"
url = (
"https://api.seermartech.cn/v3/keywords_data/bing/"
f"search_volume/task_get/{task_id}"
)
response = requests.get(
url,
headers={
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
)
if response.ok:
result = response.json()
print(result)
else:
print(f"请求失败:HTTP {response.status_code}")
print(response.text)响应示例
json
{
"version": "0.1.20200923",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.12 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "10081455-0001-0110-0000-c75b21dcca1c",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.08 sec.",
"cost": 0,
"result_count": 2,
"path": [
"v3",
"keywords_data",
"bing",
"search_volume",
"task_get"
],
"data": {
"api": "keywords_data",
"function": "search_volume",
"se": "bing",
"location_name": "United States",
"language_name": "English",
"keywords": [
"adsense blank ads how long",
"average page rpm adsense"
]
},
"result": [
{
"keyword": "adsense blank ads how long",
"location_code": 2840,
"language_code": "en",
"search_partners": false,
"device": "all",
"competition": 0.1,
"cpc": 0,
"search_volume": 0,
"categories": null,
"monthly_searches": [
{
"year": 2024,
"month": 1,
"search_volume": 0
},
{
"year": 2024,
"month": 2,
"search_volume": 0
}
]
},
{
"keyword": "average page rpm adsense",
"location_code": 2840,
"language_code": "en",
"search_partners": false,
"device": "all",
"competition": 0.1,
"cpc": 0,
"search_volume": 0,
"categories": null,
"monthly_searches": [
{
"year": 2024,
"month": 1,
"search_volume": 0
},
{
"year": 2024,
"month": 2,
"search_volume": 0
}
]
}
]
}
]
}状态码与异常处理
建议在业务系统中同时检查以下状态信息:
- 顶层
status_code tasks[*].status_codetasks[*].resulttasks_error
当任务状态码表示失败,或 result 为空时,应根据 status_message 记录错误并执行重试、告警或人工排查。完整状态码列表请参考错误码文档。
实用场景
- 获取月均搜索量,评估 Bing 搜索需求规模,为筛选和选题提供依据。
- 分析过去 12 个月的搜索趋势,识别季节性需求和搜索量波动,优化发布时间及营销节奏。
- 比较不同的付费竞争度,筛选竞争成本更适合的广告词和 SEO 目标词。
- 结合 CPC 与搜索量评估商业价值,优布局备较高流量潜力和转化价值的。
- 按地区、语言和设备维度对比表现,制定面向不同市场和终端用户的 SEO策略。